Attach service to deployment stage
Moves the service to the specified deployment stage. To skip a service from environment-level deployments while keeping it in its current stage, set is_skipped: true in the request body. Moving the service to a different stage automatically un-skips it (sets is_skipped: false).
Authorizations
JWT tokens should be used with OIDC account (human to machine). JWT tokens used by the Qovery console to communicate with the API have a TTL. Curl Example ' curl https://console.qovery.com/organization -H "Authorization: Bearer $qovery_token" '
Path Parameters
Deployment Stage ID
Service ID of an application/job/container/database
Body
When true, marks the service as skipped (excluded from environment-level bulk deployments) while keeping it in the specified stage. When false or omitted, the service is moved to the specified stage and un-skipped.
Response
List of deployment stages for the env